# I Uniswap V 2 Factory

## Methods

### allPairs

```solidity
function allPairs(uint256) external view returns (address pair)
```

#### Parameters

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \_0  | uint256 | undefined   |

#### Returns

| Name | Type    | Description |
| ---- | ------- | ----------- |
| pair | address | undefined   |

### allPairsLength

```solidity
function allPairsLength() external view returns (uint256)
```

#### Returns

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \_0  | uint256 | undefined   |

### createPair

```solidity
function createPair(address tokenA, address tokenB) external nonpayable returns (address pair)
```

#### Parameters

| Name   | Type    | Description |
| ------ | ------- | ----------- |
| tokenA | address | undefined   |
| tokenB | address | undefined   |

#### Returns

| Name | Type    | Description |
| ---- | ------- | ----------- |
| pair | address | undefined   |

### feeTo

```solidity
function feeTo() external view returns (address)
```

#### Returns

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \_0  | address | undefined   |

### feeToSetter

```solidity
function feeToSetter() external view returns (address)
```

#### Returns

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \_0  | address | undefined   |

### getPair

```solidity
function getPair(address tokenA, address tokenB) external view returns (address pair)
```

#### Parameters

| Name   | Type    | Description |
| ------ | ------- | ----------- |
| tokenA | address | undefined   |
| tokenB | address | undefined   |

#### Returns

| Name | Type    | Description |
| ---- | ------- | ----------- |
| pair | address | undefined   |

### setFeeTo

```solidity
function setFeeTo(address) external nonpayable
```

#### Parameters

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \_0  | address | undefined   |

### setFeeToSetter

```solidity
function setFeeToSetter(address) external nonpayable
```

#### Parameters

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \_0  | address | undefined   |

## Events

### PairCreated

```solidity
event PairCreated(address indexed token0, address indexed token1, address pair, uint256)
```

#### Parameters

| Name             | Type    | Description |
| ---------------- | ------- | ----------- |
| token0 `indexed` | address | undefined   |
| token1 `indexed` | address | undefined   |
| pair             | address | undefined   |
| \_3              | uint256 | undefined   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fringe.fi/smart-contract-documentation/price-oracle/priceproviders/uniswap-v-2/iuniswapv2factory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
